com.amazon.redshift.plugin

## Class AdfsCredentialsProvider

- java.lang.Object
- - com.amazon.redshift.plugin.SamlCredentialsProvider
  - - com.amazon.redshift.plugin.AdfsCredentialsProvider

All Implemented Interfaces:
  IPlugin

    public class AdfsCredentialsProvider
    extends SamlCredentialsProvider

### Field Summary

Fields
`protected String` `m_loginToRp` String to hold value of loginToRp.

### Fields inherited from class com.amazon.redshift.plugin.SamlCredentialsProvider

`KEY_IDP_HOST, m_autoCreate, m_dbGroups, m_dbGroupsFilter, m_dbUser, m_disableCache, m_duration, m_forceLowercase, m_groupFederation, m_idpHost, m_idpPort, m_log, m_password, m_preferredRole, m_region, m_sslInsecure, m_stsEndpoint, m_userName`

### Constructor Summary

Constructors
Constructor and Description
`AdfsCredentialsProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addParameter(String key, String value)`
`String` `getPluginSpecificCacheKey()`
`protected String` `getSamlAssertion()`

### Methods inherited from class com.amazon.redshift.plugin.SamlCredentialsProvider

`checkRequiredParameters, escapeHtmlEntity, getCacheKey, getCredentials, getFormAction, getHttpClient, getIdpToken, getInputTagsfromHTML, getSubType, getValueByKey, isPassword, isText, refresh, setGroupFederation, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### m_loginToRp

    protected String m_loginToRp

String to hold value of loginToRp.

### Constructor Detail

#### AdfsCredentialsProvider

    public AdfsCredentialsProvider()

### Method Detail

#### addParameter

    public void addParameter(String key,
                             String value)

Specified by:
  `addParameter` in interface `IPlugin`
Overrides:
  `addParameter` in class `SamlCredentialsProvider`

#### getPluginSpecificCacheKey

    public String getPluginSpecificCacheKey()

Specified by:
  `getPluginSpecificCacheKey` in interface `IPlugin`
Overrides:
  `getPluginSpecificCacheKey` in class `SamlCredentialsProvider`

#### getSamlAssertion

    protected String getSamlAssertion()
                               throws IOException

Specified by:
  `getSamlAssertion` in class `SamlCredentialsProvider`
Throws:
  `IOException`